import { FieldValues, SubmitErrorHandler, SubmitHandler } from 'react-hook-form';
import { FIELD_TYPE } from './constants';
export type FormFailSubmit<FormData extends FieldValues> = SubmitErrorHandler<FormData>;
export type FormSubmit<FormData extends FieldValues> = SubmitHandler<FormData>;
export type FieldType = {
    component: FIELD_TYPE;
    name: string;
};
